Name:           pidcat
Version:        2.1.0
Release:        2%{?dist}
Summary:        Colored Android logcat script to show entries only for specified app

License:        ASL 2.0
URL:            https://github.com/JakeWharton/pidcat
Source0:        https://github.com/JakeWharton/%{name}/archive/%{version}.tar.gz

BuildArch:      noarch
Requires:       android-tools
Requires:       python2

%description
An update to Jeff Sharkey\'s excellent logcat color script which only shows
log entries for processes from a specific application package.

During application development you often want to only display log messages
coming from your app. Unfortunately, because the process ID changes every time
you deploy to the phone it becomes a challenge to grep for the right thing.

This script solves that problem by filtering by application package. Supply
the target package as the sole argument to the python script and enjoy a more
convenient development process.

%prep
%autosetup


%build

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name}.py %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
cp bash_completion.d/pidcat %{buildroot}%{_datadir}/bash-completion/completions/

mkdir -p %{buildroot}%{_datadir}/zsh/site-functions
cp zsh-completion/_pidcat %{buildroot}%{_datadir}/zsh/site-functions/

mkdir -p %{buildroot}%{_docdir}/%{name}
cp README.md %{buildroot}%{_docdir}/%{name}/
cp CHANGELOG.md %{buildroot}%{_docdir}/%{name}/
cp screen.png %{buildroot}%{_docdir}/%{name}/

%files
%{_bindir}/pidcat
%{_datadir}/bash-completion/completions/pidcat
%{_datadir}/zsh/site-functions/_pidcat
%{_docdir}/%{name}/README.md
%{_docdir}/%{name}/CHANGELOG.md
%{_docdir}/%{name}/screen.png

%changelog
* Tue Apr 25 2017 Jeroen Tietema <jeroen@tietema.net> - 2.1.0-2
- Fix license text and version numbers in changelog

* Thu Apr 20 2017 Jeroen Tietema <jeroen@tietema.net> - 2.1.0-1
- Initially packaged for fedora
